Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::spi::LoggerFactory Class Reference

Implement this interface to create new instances of Logger or a sub-class of Logger. More...

`#include <loggerfactory.h>`

Inheritance diagram for log4cplus::spi::LoggerFactory:

[legend]
List of all members.

## Public Member Functions
virtual Logger | makeNewLoggerInstance (const log4cplus::tstring &name, Hierarchy &h)=0
| Creates a new `Logger` object.
virtual | ~LoggerFactory ()

## Detailed Description

Implement this interface to create new instances of Logger or a sub-class of Logger.

Definition at line 34 of file loggerfactory.h.

## Constructor & Destructor Documentation

virtual log4cplus::spi::LoggerFactory::~LoggerFactory | ( |  | ) | `[inline, virtual]`

| Definition at line 41 of file loggerfactory.h.

## Member Function Documentation

virtual Logger log4cplus::spi::LoggerFactory::makeNewLoggerInstance | ( | const log4cplus::tstring & | name,
|  | Hierarchy & | h
| ) | `[pure virtual]`

| Creates a new `Logger` object. Implemented in log4cplus::DefaultLoggerFactory.

The documentation for this class was generated from the following file:

- loggerfactory.h